> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves the excluded bank transactions.



## OpenAPI

````yaml api-reference/openapi.json get /api/banking/exclude
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/banking/exclude:
    get:
      tags:
        - Banking Transactions
      summary: Retrieves the excluded bank transactions.
      operationId: BankingTransactionsExcludeController_getExcludedBankTransactions
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            type: number
            example: 1
        - name: pageSize
          required: false
          in: query
          description: Page size
          schema:
            example: 25
            type: number
        - name: accountId
          required: false
          in: query
          description: Filter by bank account ID
          schema:
            type: number
            example: 1
        - name: minDate
          required: false
          in: query
          description: Minimum date (ISO)
          schema:
            example: '2024-01-01'
            type: string
        - name: maxDate
          required: false
          in: query
          description: Maximum date (ISO)
          schema:
            example: '2024-12-31'
            type: string
        - name: minAmount
          required: false
          in: query
          description: Minimum amount
          schema:
            example: 0
            type: number
        - name: maxAmount
          required: false
          in: query
          description: Maximum amount
          schema:
            example: 10000
            type: number
      responses:
        '200':
          description: The excluded bank transactions has been retrieved successfully.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: >-
                            #/components/schemas/GetExcludedBankTransactionResponseDto
components:
  schemas:
    PaginatedResponseDto:
      type: object
      properties:
        pagination:
          description: Pagination metadata
          allOf:
            - $ref: '#/components/schemas/Pagination'
      required:
        - pagination
    GetExcludedBankTransactionResponseDto:
      type: object
      properties:
        amount:
          type: number
          description: Transaction amount (positive for deposit, negative for withdrawal)
        date:
          type: object
          description: Transaction date (ISO string or Date)
        accountId:
          type: number
          description: ID of the associated bank account
        referenceNo:
          type: string
          description: Reference number for the transaction
        payee:
          type: string
          description: Payee name
        description:
          type: string
          description: Transaction description
        plaidTransactionId:
          type: string
          description: Plaid transaction ID
        pending:
          type: boolean
          description: Whether the transaction is pending
        recognizedTransactionId:
          type: number
          description: ID of the recognized transaction, if any
        categorizeRefType:
          type: string
          description: Categorization reference type
        categorizeRefId:
          type: number
          description: Categorization reference ID
        formattedAmount:
          type: string
          description: Formatted amount (localized string)
        formattedDate:
          type: string
          description: Formatted transaction date
        formattedDepositAmount:
          type: string
          description: Formatted deposit amount
        formattedWithdrawalAmount:
          type: string
          description: Formatted withdrawal amount
        withdrawal:
          type: number
          description: Withdrawal amount
        deposit:
          type: number
          description: Deposit amount
        isDepositTransaction:
          type: boolean
          description: True if deposit transaction
        isWithdrawalTransaction:
          type: boolean
          description: True if withdrawal transaction
        isRecognized:
          type: boolean
          description: True if transaction is recognized
        isExcluded:
          type: boolean
          description: True if transaction is excluded
        isPending:
          type: boolean
          description: True if transaction is pending
        assignedAccountId:
          type: number
          description: Assigned account ID from recognized transaction
        assignedAccountName:
          type: string
          description: Assigned account name from recognized transaction
        assignedAccountCode:
          type: string
          description: Assigned account code from recognized transaction
        assignedPayee:
          type: string
          description: Assigned payee from recognized transaction
        assignedMemo:
          type: string
          description: Assigned memo from recognized transaction
        assignedCategory:
          type: string
          description: Assigned category from recognized transaction
        assignedCategoryFormatted:
          type: string
          description: Assigned formatted category from recognized transaction
      required:
        - amount
        - date
        - accountId
    Pagination:
      type: object
      properties:
        total:
          type: number
          description: Total number of items across all pages
          example: 100
        page:
          type: number
          description: Current page number (1-based)
          example: 1
          minimum: 1
        pageSize:
          type: number
          description: Number of items per page
          example: 10
          minimum: 1
      required:
        - total
        - page
        - pageSize

````